Index: update-pciids.sh
===================================================================
--- update-pciids.sh (nonexistent)
+++ update-pciids.sh (revision 5)
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+[ "$1" = "-q" ] && quiet=true || quiet=false
+
+set -e
+SRC="https://pci-ids.ucw.cz/v2.2/pci.ids"
+DEST=pci.ids
+PCI_COMPRESSED_IDS=0
+GREP=grep
+
+# if pci.ids is read-only (because the filesystem is read-only),
+# then just skip this whole process.
+if ! touch ${DEST} >/dev/null 2>&1 ; then
+ ${quiet} || echo "${DEST} is read-only, exiting." 1>&2
+ exit 1
+fi
+
+if [ "$PCI_COMPRESSED_IDS" = 1 ] ; then
+ DECOMP="cat"
+ SRC="$SRC.gz"
+ GREP=zgrep
+elif which bzip2 >/dev/null 2>&1 ; then
+ DECOMP="bzip2 -d"
+ SRC="$SRC.bz2"
+elif which gzip >/dev/null 2>&1 ; then
+ DECOMP="gzip -d"
+ SRC="$SRC.gz"
+else
+ DECOMP="cat"
+fi
+
+if which curl >/dev/null 2>&1 ; then
+ DL="curl -o $DEST.new $SRC"
+ ${quiet} && DL="$DL -s -S"
+elif which wget >/dev/null 2>&1 ; then
+ DL="wget --no-timestamping -O $DEST.new $SRC"
+ ${quiet} && DL="$DL -q"
+elif which lynx >/dev/null 2>&1 ; then
+ DL="eval lynx -source $SRC >$DEST.new"
+else
+ echo >&2 "update-pciids: cannot find curl, wget or lynx"
+ exit 1
+fi
+
+if ! $DL ; then
+ echo >&2 "update-pciids: download failed"
+ rm -f $DEST.new
+ exit 1
+fi
+
+if ! $DECOMP <$DEST.new >$DEST.neww ; then
+ echo >&2 "update-pciids: decompression failed, probably truncated file"
+ exit 1
+fi
+
+if ! $GREP >/dev/null "^C " $DEST.neww ; then
+ echo >&2 "update-pciids: missing class info, probably truncated file"
+ exit 1
+fi
+
+if [ -f $DEST ] ; then
+ mv $DEST $DEST.old
+ # --reference is supported only by chmod from GNU file, so let's ignore any errors
+ chmod -f --reference=$DEST.old $DEST.neww 2>/dev/null || true
+fi
+mv $DEST.neww $DEST
+rm $DEST.new
+
+# Older versions did not compress the ids file, so let's make sure we
+# clean that up.
+if [ ${DEST%.gz} != ${DEST} ] ; then
+ rm -f ${DEST%.gz} ${DEST%.gz}.old
+fi
+
+${quiet} || echo "Done."
Property changes on: update-pciids.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: .
===================================================================
--- . (nonexistent)
+++ . (revision 5)
Property changes on: .
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,73 ##
+
+# install dir
+dist
+
+# Target build dirs
+.a1x-newlib
+.a2x-newlib
+.at91sam7s-newlib
+
+.build-machine
+
+.a1x-glibc
+.a2x-glibc
+.h3-glibc
+.h5-glibc
+.i586-glibc
+.i686-glibc
+.imx6-glibc
+.jz47xx-glibc
+.makefile
+.am335x-glibc
+.omap543x-glibc
+.p5600-glibc
+.power8-glibc
+.power8le-glibc
+.power9-glibc
+.power9le-glibc
+.m1000-glibc
+.riscv64-glibc
+.rk328x-glibc
+.rk33xx-glibc
+.rk339x-glibc
+.s8xx-glibc
+.s9xx-glibc
+.x86_64-glibc
+
+# Hidden files (each file)
+.makefile
+.dist
+.rootfs
+
+# src & hw requires
+.src_requires
+.src_requires_depend
+.requires
+.requires_depend
+
+# Tarballs
+*.gz
+*.bz2
+*.lz
+*.xz
+*.tgz
+*.txz
+
+# Signatures
+*.asc
+*.sig
+*.sign
+*.sha1sum
+
+# Patches
+*.patch
+
+# Descriptions
+*.dsc
+*.txt
+
+# Default linux config files
+*.defconfig
+
+# backup copies
+*~